Show / Hide Table of Contents

# AsyncFixedUpdateTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncFixedUpdateTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncFixedUpdateTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
FixedUpdateAsync() |
FixedUpdateAsync(CancellationToken) |
GetFixedUpdateAsyncHandler() |
GetFixedUpdateAsyncHandler(CancellationToken) |

### Methods

#### FixedUpdateAsync()

    public UniTask FixedUpdateAsync()

##### Returns

UniTask

#### FixedUpdateAsync(CancellationToken)

    public UniTask FixedUpdateAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

#### GetFixedUpdateAsyncHandler()

    public IAsyncFixedUpdateHandler GetFixedUpdateAsyncHandler()

##### Returns

IAsyncFixedUpdateHandler

#### GetFixedUpdateAsyncHandler(CancellationToken)

    public IAsyncFixedUpdateHandler GetFixedUpdateAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncFixedUpdateHandler

### Implements

IUniTaskAsyncEnumerable<T>